<!doctype html>
<html lang="en">
  {% load static %}
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Dmitry's URL shortener</title>
    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <!-- Custom styles for this template -->
    <link href="{% static 'tinyurl/css/tinyurl.css' %}" rel="stylesheet">
    <link rel="shortcut icon" type="image/png" href="{% static 'tinyurl/images/favicon.ico' %}"/>
  </head>
  <body class="text-center">
    
<main class="form-input-url" id="app">
  <form @submit.prevent="onSubmit" @reset="onReset">
    {% csrf_token %}
    <p class="h1">URL shortener</p>
    <div class="form-floating">
      <input type="text" class="form-control" id="url" placeholder="https://google.com" v-model="url" required ref="urlFieldEl">
      <label for="floatingInput">Long URL</label>
    </div>
    <button class="w-20 btn btn-lg btn-primary" type="submit">Short it!</button>
    <button class="w-20 btn btn-lg btn-secondary" type="reset">Next!</button>
  </form>

  {% verbatim %}
    <div v-if="shortUrl !== null" class="alert alert-success" style="margin-top: 16px;">
        <a :href="shortUrl">{{ shortUrl }}</a>
    </div>
  {% endverbatim %}
</main>

  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script src= "{% static 'tinyurl/js/tinyurl.js' %}"></script>
    
  </body>
</html>